	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour7")
	call psetc("output_name_first_page_number", "off")

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_grid_colour')
	call preset('map_grid')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call psetc("grib_input_file_name", "t850.grb")
	call pgrib

	call preset('grib_input_file_name')

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_line_colour_rainbow_max_level_colour", "red")
	call psetc("contour_line_colour_rainbow", "on")
	call psetc("contour_highlight", "off")
	call psetc("contour_line_colour_rainbow_direction", "clockwise")
	call psetc("contour_line_colour_rainbow_min_level_colour", "blue")
	call psetc("contour_line_colour_rainbow_method", "calculate")
	call psetr("contour_interval", 1.00)
	call pcont

	call preset('contour_level_selection_type')
	call preset('contour_line_colour_rainbow_max_level_colour')
	call preset('contour_line_colour_rainbow')
	call preset('contour_highlight')
	call preset('contour_line_colour_rainbow_direction')
	call preset('contour_line_colour_rainbow_min_level_colour')
	call preset('contour_line_colour_rainbow_method')
	call preset('contour_interval')

	call pset1c("text_lines", (/"<font size='1'>Rainbow technique to colour the isolines </font>                                                           ",&
		"Computing a range of colours                                                                                              ",&
		"<font colour='evergreen'>contour_line_colour_rainbow = on</font>                                                          ",&
		"<font colour='evergreen'>contour_line_colour_rainbow_min_level_colour/contour_line_colour_rainbow_max_level_colour </font>"/), 4)
	call psetr("text_font_size", 0.70)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
